Skip to main content

Data Table Row Actions

https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/rows/ROW_ID

Below are the various requests that can be performed against the Data Table Row resource, as well as the expected parameters and the potential responses.

Delete​

Deletes a data table row

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/rows/ROW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, dataTableRow.*, or dataTableRow.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DATA_TABLE_IDID associated with the data table575ed78e7ae143cd83dc4aab
ROW_IDID associated with the data table row596f832b128eda5cfe765443

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/rows/ROW_ID

Successful Responses​

CodeTypeDescription
200SuccessIf data table row was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if data table row was not found

Get​

Retrieves the data table row

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/rows/ROW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, dataTableRow.*, or dataTableRow.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DATA_TABLE_IDID associated with the data table575ed78e7ae143cd83dc4aab
ROW_IDID associated with the data table row596f832b128eda5cfe765443

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/rows/ROW_ID

Successful Responses​

CodeTypeDescription
200Data Table RowData table row information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if data table row was not found

Patch​

Updates the data table row

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/rows/ROW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, dataTableRow.*, or dataTableRow.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DATA_TABLE_IDID associated with the data table575ed78e7ae143cd83dc4aab
ROW_IDID associated with the data table row596f832b128eda5cfe765443

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Data Table Row Insert Update schema. For example, the following would be a valid body for this request:

{
"myColumn1": "myValue"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"myColumn1":"myValue"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/rows/ROW_ID

Successful Responses​

CodeTypeDescription
200Data Table RowUpdated data table row information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if data table row was not found

Schemas​

Data Table Row​

Schema for a single Data Table Row

Data Table Row Schema​

  • ▶
    {} 4 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
          • ▶
            {} 1 key

          Data Table Row Example​

          • ▶
            {} 5 keys
            • "596fbb703fc088453872e609"
            • "2016-06-13T04:00:00.000Z"
            • "2016-06-13T04:00:00.000Z"
            • "myValue"
            • 5

          Data Table Row Insert Update​

          Schema for inserting or updating a data table row

          Data Table Row Insert Update Schema​

          • ▶
            {} 4 keys
            • "http://json-schema.org/draft-07/schema#"
            • "object"
            • ▶
              {} 1 key
              • false

            Data Table Row Insert Update Example​

            • ▶
              {} 1 key
              • "myValue"

            Error​

            Schema for errors returned by the API

            Error Schema​

            • ▶
              {} 3 keys
              • "http://json-schema.org/draft-07/schema#"
              • "object"
              • ▶
                {} 2 keys
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key

                Error Example​

                • ▶
                  {} 2 keys
                  • "NotFound"
                  • "Application was not found"

                Success​

                Schema for reporting a successful operation

                Success Schema​

                • ▶
                  {} 3 keys
                  • "http://json-schema.org/draft-07/schema#"
                  • "object"
                  • ▶
                    {} 1 key
                    • ▶
                      {} 2 keys

                  Success Example​

                  • ▶
                    {} 1 key
                    • true

                  Was this page helpful?


                  Still looking for help? You can also search the WEGnology Forums or submit your question there.